/* start module: prnt */
$pyjs['loaded_modules']['prnt'] = function (__mod_name__) {
	if($pyjs['loaded_modules']['prnt']['__was_initialized__']) return $pyjs['loaded_modules']['prnt'];
	var $m = $pyjs['loaded_modules']['prnt'];
	$m['__repr__'] = function() { return '<module: prnt>'; };
	$m['__was_initialized__'] = true;
	if ((__mod_name__ === null) || (typeof __mod_name__ == 'undefined')) __mod_name__ = 'prnt';
	$m['__name__'] = __mod_name__;


	$m['HTML'] = $p['___import___']('pyjamas.ui.HTML.HTML', null, null, false);
	$m['RootPanel'] = $p['___import___']('pyjamas.ui.RootPanel.RootPanel', null, null, false);
	$m['main_panel'] = null;
	$m['prnt'] = function(s, title) {
		if (typeof title == 'undefined') title=arguments['callee']['__args__'][3][1];

		s = $p['str'](s);
		s['$$replace']('\n', '<br />');
		$m['RootPanel']()['add']($m['HTML'](s));
		return null;
	};
	$m['prnt']['__name__'] = 'prnt';

	$m['prnt']['__bind_type__'] = 0;
	$m['prnt']['__args__'] = [null,null,['s'],['title', '']];
	return this;
}; /* end prnt */


/* end module: prnt */


/*
PYJS_DEPS: ['pyjamas.ui.HTML.HTML', 'pyjamas', 'pyjamas.ui', 'pyjamas.ui.HTML', 'pyjamas.ui.RootPanel.RootPanel', 'pyjamas.ui.RootPanel']
*/
